###########################################################################
#
#  Program:         ARPACK
#
#  Module:          ARmake.inc
#
#  Purpose:         Top-level Definitions
#
#  Creation date:   February 22, 1996
#
#  Modified:
#
#  Send bug reports, comments or suggestions to arpack@caam.rice.edu
#
############################################################################
#
# %---------------------------------%
# |  SECTION 1: PATHS AND LIBRARIES |
# %---------------------------------%
#
#
# %--------------------------------------%
# | You should change the definition of  |
# | home if ARPACK is built some place   | 
# | other than your home directory.      |
# %--------------------------------------%
#
home = $(HOME)/prog/lib/arpack/ARPACKnew
#
#  %--------------------------------------%
#  | The platform identifier to suffix to |
#  | the end of library names             |
#  %--------------------------------------%
#
FC=g95
SWITCHES=
PLAT =_s$(FC)$(SWITCHES)
# s=static lib
dllPLAT =_$(FC)$(SWITCHES)
dllPLATnoSW=_$(FC)
OBJEXT=o
OE=$(OBJEXT)
OF=-o
EXE=.exe
LIBEXT=a
DLLEXT=dll
#
#  %------------------------------------------------------%
#  | The directories to find the various pieces of ARPACK |
#  %------------------------------------------------------%
#
BLASDIR      =$(home)/BLAS
LAPACKDIR    =$(home)/LAPACK
UTILDIR      =$(home)/UTIL
SRCDIR       =$(home)/SRC
DLLDIR       =$(home)
OBJDIR       =$(home)/obj$(PLAT)
DIRS    = $(BLASDIR) $(LAPACKDIR) $(UTILDIR) $(SRCDIR)
MINDIRS = $(UTILDIR) $(SRCDIR)
#
# %-------------------------------------------------------------------%
# | Comment out the previous line and uncomment the following         |
# | if you already have the BLAS and LAPACK installed on your system. |
# | NOTE: ARPACK assumes the use of LAPACK version 2 codes.           |
# %-------------------------------------------------------------------%
#
#DIRS         = $(UTILdir) $(SRCdir)
#
# %---------------------------------------------------%
# | The name of the libraries to be created/linked to |
# %---------------------------------------------------%
#
ARPACKLIB = $(home)/libarpack$(PLAT).$(LIBEXT)
LAPACKLIB = $(home)/liblapack$(PLAT).$(LIBEXT)
BLASLIB   = $(home)/libblas$(PLAT).$(LIBEXT)
BLASDLL   =blas$(dllPLATnoSW)
LAPACKDLL =lapack$(dllPLATnoSW)
ARPACKDLL =arpack$(dllPLAT)
#
ALIBS = ../../libarpack$(PLAT).a  #$(LAPACKLIB) $(BLASLIB) 
#
# 
# %---------------------------------------------------------%
# |                  SECTION 2: COMPILERS                   |
# |                                                         |
# | The following macros specify compilers, linker/loaders, |
# | the archiver, and their options.  You need to make sure |
# | these are correct for your system.                      |
# %---------------------------------------------------------%
#
#
# %------------------------------%
# | Make our own suffixes' list. |
# %------------------------------%
#
.SUFFIXES:
.SUFFIXES:	.f .o .exe
#
# %------------------%
# | Default command. |
# %------------------%
#
.DEFAULT:
	@$(ECHO) "Unknown target $@, try:  make help"
#
# %-------------------------------------------%
# |  Command to build .o files from .f files. |
# %-------------------------------------------%
#
.f.o:
	@$(ECHO) Making $@ from $<
	@$(FC) $(FFLAGS) $<
#
# %-----------------------------------------%
# | Various compilation programs and flags. |
# | You need to make sure these are correct |
# | for your system.                        |
# %-----------------------------------------%
#
FFLAGS =   -c -ffixed-form -fimplicit-none $(SWITCHES) 

LDFLAGS =  -ffixed-form -fimplicit-none $(SWITCHES)

CD      = cd

ECHO    =echo

LN      = ln
LNFLAGS = -s

MAKE    = make

RM      = rm
RMFLAGS = -f

SHELL   = /bin/sh
#
#  %----------------------------------------------------------------%
#  | The archiver and the flag(s) to use when building an archive   |
#  | (library).  Also the ranlib routine.  If your system has no    |
#  | ranlib, set RANLIB = touch.                                    |
#  %----------------------------------------------------------------%
#
AR = ar 
ARFLAGS = r
AREXTRACT= x
RANLIB   = ranlib
#
# %----------------------------------%
# | This is the general help target. |
# %----------------------------------%
#
help:
	@$(ECHO) "usage: make ?"
